Verify Address
curl --request POST \
--url https://api-umbrella.io/api/services/address/verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"country": "<string>",
"address": {
"street": "<string>",
"number": "<string>",
"zip": "<string>",
"city": "<string>",
"province": "<string>"
},
"identity": {
"firstname": "<string>",
"lastname": "<string>",
"dob": "1970-12-01"
}
}
'import requests
url = "https://api-umbrella.io/api/services/address/verify"
payload = {
"country": "<string>",
"address": {
"street": "<string>",
"number": "<string>",
"zip": "<string>",
"city": "<string>",
"province": "<string>"
},
"identity": {
"firstname": "<string>",
"lastname": "<string>",
"dob": "1970-12-01"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
country: '<string>',
address: {
street: '<string>',
number: '<string>',
zip: '<string>',
city: '<string>',
province: '<string>'
},
identity: {firstname: '<string>', lastname: '<string>', dob: '1970-12-01'}
})
};
fetch('https://api-umbrella.io/api/services/address/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"finalAddress": "<string>",
"score": 50,
"globalResult": {
"totalScore": 50
},
"inputAddress": "<string>",
"correctedAddress": "<string>",
"addressComponents": {
"street": "<string>",
"number": "<string>",
"zip": "<string>",
"city": "<string>",
"province": "<string>",
"country": "<string>"
},
"identity": {
"fullName": "<string>",
"dob": "<string>"
}
}{
"message": "Invalid request payload"
}{
"message": "Unauthorized request"
}Address Verification
Address Verification Service
Address Verification Service API Documentation
POST
/
address
/
verify
Verify Address
For a usage description of the Address Verification Service, please refer to the Address Verification page.
Endpoint
POST/address/verify
Swagger
Authorizations
Bearer token obtained from POST /auth. Valid for 60 minutes.
Body
application/json
Response
Successfully verified address.
Final confirmed address.
Status after verification.
Available options:
corrected, unchanged Match level.
Available options:
EXACT, HOUSEHOLD_MATCH, PARTIAL_MATCH, HOUSENUMBER_MATCH, STREET_MATCH, CITY_MATCH, IDENTITY_MISMATCH, NO_MATCH Confidence score (0-100).
Required range:
0 <= x <= 100Show child attributes
Show child attributes
Raw address provided.
Corrected version of the address.
Detailed components of the final address.
Show child attributes
Show child attributes
Details of the identity as found in the search.
Show child attributes
Show child attributes
Detailed feedback.
Available options:
addressCorrected, postCodeMatch, localityMatch, cityMatch, districtMatch, NoCity, NoStreet, NoPostCode, previousAddress, incorrectAddress, addressFound, identityNotFound, deceased, addressFakeSuspicion, noMatch, skippedDOB, dobPartial, dobFailedFull, lastNameOnly, firstNameOnly ⌘I